Bug 433770 - mac80211 fails to initialise WEP
mac80211 fails to initialise WEP
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John W. Linville
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-02-21 07:28 EST by Brad Walker
Modified: 2008-03-14 10:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-03-14 10:08:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
dmesg output (41.14 KB, text/plain)
2008-02-21 07:28 EST, Brad Walker
no flags Details
config-x86_64-generic from kernel-2.6.25-0.61.rc2.git4.fc9.src.rpm (5.30 KB, text/plain)
2008-02-21 16:59 EST, Brad Walker
no flags Details
/boot/config-2.6.25-0.61.rc2.git4.fc9 (77.86 KB, text/plain)
2008-02-21 17:05 EST, Brad Walker
no flags Details

  None (edit)
Description Brad Walker 2008-02-21 07:28:32 EST
Description of problem: iwl4965 driver doesn't support 4965AGN card.

Version-Release number of selected component (if applicable):

How reproducible: everytime

Steps to Reproduce: Install kernel-2.6.25-0.61.rc2.git4.fc9.x86_64 and boot into it.

Actual results:
dmesg excerpt
iwl4965: Intel(R) Wireless WiFi Link 4965AGN driver for Linux, 1.2.23kds
iwl4965: Copyright(c) 2003-2007 Intel Corporation
ACPI: PCI Interrupt 0000:03:00.0[A] -> GSI 17 (level, low) -> IRQ 17
PCI: Setting latency timer of device 0000:03:00.0 to 64
iwl4965: Detected Intel Wireless WiFi Link 4965AGN
iTCO_vendor_support: vendor-support=0
iwl4965: Tunable channels: 11 802.11bg, 13 802.11a channels
iTCO_wdt: Intel TCO WatchDog Timer Driver v1.02 (26-Jul-2007)
iTCO_wdt: Found a ICH8M-E TCO device (Version=2, TCOBASE=0x1060)
iTCO_wdt: initialized. heartbeat=30 sec (nowayout=0)
phy0: Selected rate control algorithm 'iwl-4965-rs'
input: PC Speaker as /devices/platform/pcspkr/input/input6
phy0: Failed to initialize wep
iwl4965: Failed to register network device (error -12)
ACPI: PCI interrupt for device 0000:03:00.0 disabled
iwl4965: probe of 0000:03:00.0 failed with error -12

NetworkManager doesn't show a checkbox for toggling wireless support. Nor do any
scanned netwokrs appear.

Expected results: WLANs visible

Additional info: kernel-2.6.25-0.40.rc1.git2.fc9.x86_64 is the latest kernel my
machine boots and that detects WLANs. I've attached a full dmesg.
Comment 1 Brad Walker 2008-02-21 07:28:32 EST
Created attachment 295499 [details]
dmesg output
Comment 2 John W. Linville 2008-02-21 09:09:12 EST
OK, what is happening with the "Failed to initialize wep" thing?  I thought 
that this came down to enabling KMOD, but that is enabled in Fedora kernels.

Any ideas?  Clearly this is an upstream issue as well.
Comment 3 Johannes Berg 2008-02-21 14:27:06 EST
No, no idea, but it has been reported upstream as well. If the reporter can
attach the .config file of the failing kernel I can ping Herbert Xu about it
again, he requested that but I couldn't provide it.
Comment 4 Brad Walker 2008-02-21 16:59:29 EST
Created attachment 295563 [details]
config-x86_64-generic from kernel-2.6.25-0.61.rc2.git4.fc9.src.rpm
Comment 5 Brad Walker 2008-02-21 17:05:38 EST
Created attachment 295564 [details]
Comment 6 Brad Walker 2008-02-21 18:12:26 EST
kernel-2.6.25-0.64.rc2.git5.x86_64 seems to have fixed this problem. The device
is enabled and NM shows scanned WLANs. The machine successfully connected to a
WLAN. It's again having problems with the RFKILL switch like bug 432927.
Comment 7 Johannes Berg 2008-02-22 09:00:02 EST
So which is the failing and which is the good config?
Comment 8 Brad Walker 2008-02-22 12:34:49 EST
Neither of the configs I attached has working wireless. The first one's a
template or something while the second's the actual config of the failing kernel.

The later kernel 2.6.25-0.64 works, but I didn't attach its config. It slightly

--- config-2.6.25-0.61.rc2.git4.fc9	2008-02-20 23:51:58.000000000 -0700
+++ config-2.6.25-0.64.rc2.git5.fc9	2008-02-21 14:26:11.000000000 -0700
@@ -1,7 +1,7 @@
 # Automatically generated make config: don't edit
-# Linux kernel version: 2.6.25-0.61.rc2.git4.fc9
-# Thu Feb 21 01:42:54 2008
+# Linux kernel version: 2.6.25-0.64.rc2.git5.fc9
+# Thu Feb 21 16:17:28 2008
 # CONFIG_X86_32 is not set
@@ -1604,13 +1604,11 @@
Comment 9 John W. Linville 2008-03-13 11:23:27 EDT
Does this continue to be a problem with current rawhide kernels?

Comment 10 Brad Walker 2008-03-13 23:21:55 EDT
John Linville,

All kernels, including kernel-2.6.25-0.113.rc5.git2.fc9.x86_64, since
kernel-2.6.25-0.64.rc2.git5.x86_64 haven't had this WEP problem. However at some
release after kernel-2.6.25-0.64.rc2.git5.x86_64, NetworkManager can no longer
connect the wireless interface to networks, even unencrypted ones. The current
FC8 kernels do the same. I've been running kernel- for
working iwl4965. I test new kernels whenever they're done building on Koji.

I believe kernel-2.6.25-0.64.rc2.git5.x86_64 solved this particular WEP issue. 
Comment 11 Brad Walker 2008-03-14 00:33:46 EDT
John Linville,

Actually, I can connect to encrypted and unencrypted networks on the 2.4ghz band
w/kernel-2.6.25-0.113.rc5.git2.fc9.x86_64. On the 5ghz band it'll connect to
unencrypted networks but it won't authenticated WPA. Testing on a D-Link
DGL-4500 dual-band router
Comment 12 John W. Linville 2008-03-14 10:08:14 EDT
It sounds like this issue is resolved.  You may want to open another bug for 
the NetworkManager-related problem you described.

Note You need to log in before you can comment on or make changes to this bug.